# Class CIM_CDROMDrive
extends CIM_MediaAccessDevice

Capabilities and managment of a CDROMDrive, a subtype of MediaAccessDevice.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_MediaAccessDevice
|
+--CIM_CDROMDrive

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Capabilities and managment of a CDROMDrive, a subtype of MediaAccessDevice.
UMLPackagePath | string | CIM::Device::StorageDevices
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CompressionMethod | string | CIM_MediaAccessDevice
CreationClassName | string | CIM_LogicalDevice
DefaultBlockSize | uint64 | CIM_MediaAccessDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
ErrorMethodology | string | CIM_MediaAccessDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastCleaned | datetime | CIM_MediaAccessDevice
LastErrorCode | uint32 | CIM_LogicalDevice
LoadTime | uint64 | CIM_MediaAccessDevice
MaxAccessTime | uint64 | CIM_MediaAccessDevice
MaxBlockSize | uint64 | CIM_MediaAccessDevice
MaxMediaSize | uint64 | CIM_MediaAccessDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
MaxUnitsBeforeCleaning | uint64 | CIM_MediaAccessDevice
MediaIsLocked | boolean | CIM_MediaAccessDevice
MinBlockSize | uint64 | CIM_MediaAccessDevice
MountCount | uint64 | CIM_MediaAccessDevice
Name | string | CIM_ManagedSystemElement
NeedsCleaning | boolean | CIM_MediaAccessDevice
NumberOfMediaSupported | uint32 | CIM_MediaAccessDevice
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Security | uint16 | CIM_MediaAccessDevice
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastMount | datetime | CIM_MediaAccessDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalMountTime | uint64 | CIM_MediaAccessDevice
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
UncompressedDataRate | uint32 | CIM_MediaAccessDevice
UnitsDescription | string | CIM_MediaAccessDevice
UnitsUsed | uint64 | CIM_MediaAccessDevice
UnloadTime | uint64 | CIM_MediaAccessDevice
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
Capabilities | uint16[] | CIM_MediaAccessDevice
CapabilityDescriptions | string[] | CIM_MediaAccessDevice
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
LockMedia | uint32 | CIM_MediaAccessDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice